### Hierarchy

- BaseSchemaField
  - BaseSchemaEthWallet

### Implements

- TypeParams

## Index

### Constructors

- constructor

### Properties

- additionalProperties
- definitions
- description
- properties
- required
- type

## Constructors

### constructor

- new BaseSchemaEthWallet(definitions: BaseSchemaEthWalletDefinitions): BaseSchemaEthWallet

- Overrides BaseSchemaField.constructor

  - Defined in utils/types/BaseSchema.ts:98

  #### Parameters

  - ##### definitions: BaseSchemaEthWalletDefinitions

  #### Returns BaseSchemaEthWallet

## Properties

### Optional additionalProperties

additionalProperties: boolean

Inherited from BaseSchemaField.additionalProperties

- Defined in utils/types/BaseSchema.ts:9

### definitions

definitions: BaseSchemaEthWalletDefinitions

- Defined in utils/types/BaseSchema.ts:96

### description

description: string = "list of ETH wallets"

Overrides BaseSchemaField.description

- Defined in utils/types/BaseSchema.ts:97

### properties

properties: BaseSchemaEthWalletProps = new BaseSchemaEthWalletProps()

- Defined in utils/types/BaseSchema.ts:98

### Optional required

required: Array<string>

Inherited from BaseSchemaField.required

- Defined in utils/types/BaseSchema.ts:8

### type

type: string

Inherited from BaseSchemaField.type

- Defined in utils/types/BaseSchema.ts:6

Generated using TypeDoc